function switchTab(btn: HTMLButtonElement) {
  const tabs = btn.parentElement!.querySelectorAll('button')
  for (const tab of tabs) tab.classList.remove('active')
  btn.classList.add('active')

  const panels = btn.parentElement!.nextElementSibling!.children
  for (const panel of panels) (panel as HTMLElement).style.display = 'none'

  const target = document.getElementById(btn.dataset.tab!)
  if (target) target.style.display = 'block'
}

Object.assign(window, { switchTab })
